Package picard.util

## Enum VariantType

- java.lang.Object
- - java.lang.Enum<VariantType>
  - - picard.util.VariantType

- All Implemented Interfaces:
    `Serializable`, `Comparable<VariantType>`

      public enum VariantType
      extends Enum<VariantType>

  Enum to hold the possible types of dbSnps. Note that these correspsond to the names used in the dbSnp database with the exception of indel (which is in-del in dbSnp).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `deletion` |
    `insertion` |
    `SNP` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static VariantType` | `getVariantTypeFromOrdinal​(int ordinal)` | Gets the enum for a given ordinal
    `static VariantType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static VariantType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SNP

          public static final VariantType SNP

    - #### insertion

          public static final VariantType insertion

    - #### deletion

          public static final VariantType deletion

  - ### Method Detail

    - #### values

          public static VariantType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VariantType c : VariantType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VariantType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getVariantTypeFromOrdinal

          public static VariantType getVariantTypeFromOrdinal​(int ordinal)

      Gets the enum for a given ordinal
      Parameters:
        `ordinal` -
      Returns:
        VariantType